Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Michael Albinus <[email-masked]>
Date: Mon, 21 Mar 2016 16:49:51 +0100

Stefan Monnier <[email-masked]> writes:

>> According to the docstring, it only tells Tramp not to ask for the
>> credentials (when non-essential is non-nil). Whether Tramp is allowed to
>> open a connection it already knows credentials for, is not specified (though
>> I probably wouldn't).
>
> Indeed, the issue is "don't interfere with the main operation", so
> prompting is a clear no-no.  Opening a new connection might be
> acceptable (as long as it doesn't block Emacs for too long, for
> example).

Again, Tramp has no chance to determine this in advance. Whether new
credentials are required interactively, or not, is decided only after
Tramp has started to open a new connection.

Therefore, Tramp maps this decision to "shall I open a new connection,
or not". It does not make sense to start with the ping-pong of opening a
new connection, and to stop half the way due to missing credentials.

>         Stefan

Best regards, Michael.